MySQL Lists are EOL. Please join:

List:Commits« Previous MessageNext Message »
From:Chad MILLER Date:January 31 2007 8:37pm
Subject:bk commit into 5.0 tree (cmiller:1.2362)
View as plain text  
Below is the list of changes that have just been committed into a local
5.0 repository of cmiller. When cmiller does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html

ChangeSet@stripped, 2007-01-31 15:37:15-05:00, cmiller@stripped +1 -0
  Don't wait that long if the program we're waiting on exits.  It 
  should only exit if the server is not going to be started.

  support-files/mysql.server.sh@stripped, 2007-01-31 15:37:14-05:00, cmiller@stripped +3 -2
    Don't wait that long if the program we're waiting on exits.  It 
    should only exit if the server is not going to be started.

# This is a BitKeeper patch.  What follows are the unified diffs for the
# set of deltas contained in the patch.  The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User:	cmiller
# Host:	zippy.cornsilk.net
# Root:	/home/cmiller/work/mysql/bug25341/my50-bug25341

--- 1.53/support-files/mysql.server.sh	2007-01-31 15:37:19 -05:00
+++ 1.54/support-files/mysql.server.sh	2007-01-31 15:37:19 -05:00
@@ -148,6 +148,7 @@ wait_for_pid () {
     case "$1" in
       'created')
         test -s $pid_file && i='' && break
+        kill -0 $2 || break # if the program goes away, stop waiting
         ;;
       'removed')
         test ! -s $pid_file && i='' && break
@@ -279,7 +280,7 @@ case "$mode" in
       # Give extra arguments to mysqld with the my.cnf file. This script may
       # be overwritten at next upgrade.
       $manager --user=$user --pid-file=$pid_file >/dev/null 2>&1 &
-      wait_for_pid created; return_value=$?
+      wait_for_pid created $!; return_value=$?
 
       # Make lock for RedHat / SuSE
       if test -w /var/lock/subsys
@@ -293,7 +294,7 @@ case "$mode" in
       # may be overwritten at next upgrade.
       pid_file=$server_pid_file
       $bindir/mysqld_safe --datadir=$datadir --pid-file=$server_pid_file $other_args >/dev/null 2>&1 &
-      wait_for_pid created; return_value=$?
+      wait_for_pid created $!; return_value=$?
 
       # Make lock for RedHat / SuSE
       if test -w /var/lock/subsys
Thread
bk commit into 5.0 tree (cmiller:1.2362)Chad MILLER31 Jan